require 'test_helper'

module Klastera
  class ClustersControllerTest < ActionController::TestCase
    setup do
      @cluster = klastera_clusters(:one)
      @routes = Engine.routes
    end

    test "should get index" do
      get :index
      assert_response :success
      assert_not_nil assigns(:clusters)
    end

    test "should get new" do
      get :new
      assert_response :success
    end

    test "should create cluster" do
      assert_difference('Cluster.count') do
        post :create, cluster: { color: @cluster.color, name: @cluster.name, nid: @cluster.nid }
      end

      assert_redirected_to cluster_path(assigns(:cluster))
    end

    test "should show cluster" do
      get :show, id: @cluster
      assert_response :success
    end

    test "should get edit" do
      get :edit, id: @cluster
      assert_response :success
    end

    test "should update cluster" do
      patch :update, id: @cluster, cluster: { color: @cluster.color, name: @cluster.name, nid: @cluster.nid }
      assert_redirected_to cluster_path(assigns(:cluster))
    end

    test "should destroy cluster" do
      assert_difference('Cluster.count', -1) do
        delete :destroy, id: @cluster
      end

      assert_redirected_to clusters_path
    end
  end
end
